var dialogoDocumentos={
		inicializado:false,
//		 aexpe:"",
//		 cexpe:"",
//		 cserv:"",
		 modo:"",
//		 nexpe:"",
		 expeId:null,
		 expeCod:null,
		 ocultarElementos:function(){
			$("#dialogoEsperaDetalleDocumentos").hide();
		},
		editando:false,
		inicializar:function(){
			if(!this.inicializado){
				//dialogoDocumentos.modo="M";
				this.inicializado=true;
				//Oculto la botonora de la capa filtro en la pantalla documentos expediente
				$("#DocumentosExpedienteDetalle_filter_toolbar").hide();
				
				
				$("#fanot25_detail_table").rup_date();
				//Botonera pantalla de detalle de fases expediente
				$("#DocumentosExpedienteDetalle_detail_toolbar").rup_toolbar({
					
					buttons:[
					         { 
					        	 id: "aniadirDocPiD",
					        	 i18nCaption:$.rup.i18n.app.btnDocsExpediente.aniadir,
					        	 css:"rup-icon-new", 
					        	 click:dialogoDocumentos.aniadirDocumentoPid
					         } ,
					         { 
					        	 id: "verDocPid",
					        	 i18nCaption:$.rup.i18n.app.btnDocsExpediente.ver, 
					        	 css:"verdoc", 
					        	 click:dialogoDocumentos.verDocumentoPid
					         },
					         { 
					        	 id: "modificarDocPiD",
					        	 i18nCaption:$.rup.i18n.app.btnDocsExpediente.editar, 
					        	 css:"rup-icon-edit", 
					        	 click:dialogoDocumentos.modificarDocumentoPid
					         },
					         { 
					        	 id: "eliminarDocPid",
					        	 i18nCaption:$.rup.i18n.app.btnDocsExpediente.elimiar, 
					        	 css:"rup-icon-delete", 
					        	 click:dialogoDocumentos.eliminarDocumentoPid
					         }
					        
					        ]
				});
				
				$("[id='DocumentosExpedienteDetalle_detail_toolbar##aniadirDocPiD']").attr("title",$.rup.i18n.app.btnDocsExpediente.aniadir);
				$("[id='DocumentosExpedienteDetalle_detail_toolbar##modificarDocPiD']").attr("title",$.rup.i18n.app.btnDocsExpediente.editar);
				$("[id='DocumentosExpedienteDetalle_detail_toolbar##eliminarDocPid']").attr("title",$.rup.i18n.app.btnDocsExpediente.eliminar);			
				$("[id='DocumentosExpedienteDetalle_detail_toolbar##verDocPid']").attr("title",$.rup.i18n.app.btnDocsExpediente.ver);
				$("#DocumentosExpedienteDetalle_detail_toolbar").hide();
				$("[id='DocumentosExpedienteDetalle_detail_toolbar##aniadirDocPiD']").hide();
				$("[id='DocumentosExpedienteDetalle_detail_toolbar##modificarDocPiD']").hide();
				$("[id='DocumentosExpedienteDetalle_detail_toolbar##eliminarDocPid']").hide();
				$("[id='DocumentosExpedienteDetalle_detail_toolbar##verDocPid']").hide();
				
				//Tabla grid documentos expediente
				$("#DocumentosExpedienteDetalle").rup_table({
					rowNum:20,
					url: "../aa21b25s01",
					colNames: [
					    "idDocExp",
						"cserv25",
						"cexpe25",
						"aexpe25",
						"nexpe25",
						$.rup.i18n.app.aa21b25s01.tdocu25,
						"cdocu25",
						$.rup.i18n.app.aa21b25s01.ddocu25,
						"ndocu25",
						$.rup.i18n.app.aa21b25s01.texto25,
						$.rup.i18n.app.aa21b25s01.fanot25,
						$.rup.i18n.app.aa21b25s01.aanot25,
						$.rup.i18n.app.aa21b25s01.nanot25,
						$.rup.i18n.app.aa21b25s01.codpid25
					],
					colModel: [
					    { 	name: "idDocExp", 
					    	label: "idDocExp",
					    	hidden: true 
					    },
						{ 	name: "cserv25", 
						 	label: "cserv25",
							hidden: true 
						},
						{ 	name: "cexpe25", 
						 	label: "cexpe25",
							hidden: true 
						},
						{ 	name: "aexpe25", 
						 	label: "aexpe25",
							hidden: true 
						},
						{ 	name: "nexpe25", 
						 	label: "nexpe25",
							hidden: true 
						},
						{ 	name: "tdocu25", 
						 	label: "tdocu25",
							align: "left", 
							width: 75, 
							editable: true, 
							fixed: false, 
							hidden: false, 
							resizable: true, 
							sortable: true,
							formatter :
					    		 masiveIconFormatter = function(cellval, el, opts) 
					    		 {
					    		 	//cellval = "descFichero";
					    		 	var html = '';
					    		 	if (cellval && cellval == '1'){
					    		 		html = $.rup.i18n.app.aa21b20s01.entrada;
					    		 	}else if(cellval && cellval == '2'){
					    		 		html = $.rup.i18n.app.aa21b20s01.salida;
					    		 	}
					    		 	return html;
					    		 }
						},
						{ 	name: "cdocu25", 
						 	label: "cdocu25",
							hidden: true 
						},
						{ 	name: idioma=='es'?"ddocu25":"edocu25",
						 	label: idioma=='es'?"ddocu25":"edocu25",
							align: "left", 
							width: 150, 
							editable: true, 
							fixed: false, 
							hidden: false, 
							resizable: true, 
							sortable: true
						},
						{ 	name: "ndocu25", 
						 	label: "ndocu25",
							hidden: true 
						},
						{ 	name: "texto25", 
						 	label: "texto25",
							align: "left", 
							width: 150, 
							editable: true, 
							fixed: false, 
							hidden: false, 
							resizable: true, 
							sortable: true
						},
						{ 	name: "fanot25", 
						 	label: "fanot25",
							align: "left", 
							width: 150, 
							editable: true, 
							fixed: false, 
							hidden: false, 
							resizable: true, 
							sortable: true
						},
						{ 	name: "aanot25", 
						 	label: "aanot25",
							align: "right", 
							width: 150, 
							editable: true, 
							fixed: false, 
							hidden: false, 
							resizable: true, 
							sortable: true
						},
						{ 	name: "nanot25", 
						 	label: "nanot25",
							align: "right", 
							width: 150, 
							editable: true, 
							fixed: false, 
							hidden: false, 
							resizable: true, 
							sortable: true
						},
						{ 	name: "codpid25", 
						 	label: "codpid25",
							align: "center", 
							width: 100, 
							editable: true, 
							fixed: true, 
							hidden: false, 
							resizable: true, 
							sortable: true,
							formatter :		  function(cellval, el, opts) {
					    		 	if(opts.codpid25==null)
					    		 	return "";
					    		 	else
					    		 		return "<img src='/organizaciondocumental/aa21b/images/accept.png'/>";
					    		 }
						}
			        ],	
			        model:"Aa21b25s01",
			        usePlugins:[
						"formEdit",
			        	"feedback",
						"toolbar",
			        	"fluid",
			        	"filter"
			         	],
					primaryKey: "idDocExp",
					sortname: "fanot25",
					sortorder: "asc",
					loadOnStartUp: false,					
					toolbar:{
						newButtons:[
						    {
						    	id:"detalle",
						    	obj: {id:"detalle",i18nCaption:$.rup.i18n.app.botonerasMantGenerales.detalle, css: "detalle"},
						    	ocultar:true,
						    	comportamiento:"edit",
						    	click:dialogoDocumentos.handlerConsulta
						    }]
					},
			        formEdit:{
			        	detailForm: "#DocumentosExpedienteDetalle_detail_div",
						fillDataMethod: "clientSide",
						closeAfterAdd:false,
						width:700,
						addOptions:{					
							beforeShowForm:function(){
								dialogoDocumentos.editando=false;//se está añadiendo(para la validación del boton guardar)
						
								$("#DocumentosExpedienteDetalle_detail_button_save2").hide();
								$("#DocumentosExpedienteDetalle_detail_link_cancel").css("display","block");
								$("#DocumentosExpedienteDetalle_detail_button_save").hide();
								
								$("#DocumentosExpedienteDetalle_detail_div :input").removeAttr("readonly");
								$("#DocumentosExpedienteDetalle_detail_link_cancel").css("display","block");
								
								$("#radio_tdocu25_salida").prop("checked",false);
								$("#radio_tdocu25_entrada").prop("checked",true);
								
								$("#tdocu25_detail_table").val("1");
								
								$("#cdocu25_detail_table").rup_combo("enable");
								$("#radio_tdocu25_entrada").removeAttr("disabled");
								$("#radio_tdocu25_salida").removeAttr("disabled");
								$("#radio_tdocu25_entrada").val(1);
								$("#radio_tdocu25_salida").val(2);
								
								$("#aanot25_detail_table").attr("readonly","readonly");
								$("#fanot25_detail_table").rup_date("enable");
								$("#documentoAdd").show();
								$("#labelObligDoc").show();
								$(".asterisco").show();
								
								//Ocultar barra documento
								$("#DocumentosExpedienteDetalle_detail_toolbar").hide();
								$("[id='DocumentosExpedienteDetalle_detail_toolbar##aniadirDocPiD']").hide();
								$("[id='DocumentosExpedienteDetalle_detail_toolbar##modificarDocPiD']").hide();
								$("[id='DocumentosExpedienteDetalle_detail_toolbar##eliminarDocPid']").hide();
								$("[id='DocumentosExpedienteDetalle_detail_toolbar##verDocPid']").hide();								
								  if ($.browser.msie) {
							            $('#docu25_detail_table1').replaceWith($('#docu25_detail_table1').clone());
							      }
							      else {
							            $('#docu25_detail_table1').val('');
							      }
								//Upload integrado en formulario
			           			jQuery("#DocumentosExpedienteDetalle_detail_div").rup_upload({				
			           				fileInput: $("#docu25_detail_table1"),	
			           				submitFormButton:$("#DocumentosExpedienteDetalle_detail_button_save"),			
			           				submitInForm:true
			           			});
			           			jQuery("#DocumentosExpedienteDetalle_detail_form").attr("enctype","multipart/form-data");	
							}
						},
						editOptions:{
							beforeShowForm:function(){
								
								dialogoDocumentos.editando=true;
								$("#DocumentosExpedienteDetalle_detail_button_save").hide();
								$("#DocumentosExpedienteDetalle_detail_button_save2").hide();
								$("#radio_tdocu25_entrada").attr("disabled","disabled");
								$("#radio_tdocu25_salida").attr("disabled","disabled");
								
								if($("#tdocu25_detail_table").val() == 1){
									$("#radio_tdocu25_entrada").prop("checked",true);
									$("#radio_tdocu25_salida").prop("checked",false);
								}else if($("#tdocu25_detail_table").val() == 2){
									$("#radio_tdocu25_salida").prop("checked",true);
									$("#radio_tdocu25_entrada").prop("checked",false);
								}
						
								var tieneDocumento=$("#codpid25_detail_table").val()!="";
								$("#documentoAdd").hide();
								//Si es consulta deshabilitaremos los campos
								if(dialogoDocumentos.modo == "C"){
									//Si existe documento
									if(tieneDocumento){
																			
										$("[id='DocumentosExpedienteDetalle_detail_toolbar##aniadirDocPiD']").hide();
										$("[id='DocumentosExpedienteDetalle_detail_toolbar##modificarDocPiD']").hide();
										$("[id='DocumentosExpedienteDetalle_detail_toolbar##eliminarDocPid']").hide();
										$("[id='DocumentosExpedienteDetalle_detail_toolbar##verDocPid']").show();
										$("#DocumentosExpedienteDetalle_detail_toolbar").show();	
									}
									else{
										$("#DocumentosExpedienteDetalle_detail_toolbar").hide();
										
									}
								//	dialogoDocumentos.modo="M";
									$("#DocumentosExpedienteDetalle_detail_div :input").attr("readonly","readonly");
									$("#DocumentosExpedienteDetalle_detail_link_cancel").css("display","none");
									
									$("#cdocu25_detail_table").rup_combo("disable");
									
									$("#fanot25_detail_table").rup_date("disable");
									
									$("#labelObligDoc").hide();
									$(".asterisco").hide();
									$(".ui-selectmenu-status").css("color","black");
								}else{
									$("#labelObligDoc").show();
									$(".asterisco").show();
									
									$("#DocumentosExpedienteDetalle_detail_div :input").removeAttr("readonly");
									$("#DocumentosExpedienteDetalle_detail_link_cancel").css("display","block");
									
									$("#cdocu25_detail_table").rup_combo("enable");
									
									$("#aanot25_detail_table").attr("readonly","readonly");
									$("#fanot25_detail_table").rup_date("enable");
									//Si existe documento
									$("#DocumentosExpedienteDetalle_detail_toolbar").show();
									if(tieneDocumento){
									$("[id='DocumentosExpedienteDetalle_detail_toolbar##aniadirDocPiD']").hide();
									$("[id='DocumentosExpedienteDetalle_detail_toolbar##modificarDocPiD']").show();
									$("[id='DocumentosExpedienteDetalle_detail_toolbar##eliminarDocPid']").show();
									$("[id='DocumentosExpedienteDetalle_detail_toolbar##verDocPid']").show();
									}
									else{
										$("[id='DocumentosExpedienteDetalle_detail_toolbar##aniadirDocPiD']").show();
										$("[id='DocumentosExpedienteDetalle_detail_toolbar##modificarDocPiD']").hide();
										$("[id='DocumentosExpedienteDetalle_detail_toolbar##eliminarDocPid']").hide();
										$("[id='DocumentosExpedienteDetalle_detail_toolbar##verDocPid']").hide();
									}
									
									
								}
							},
							reloadAfterSubmit:true,
							width:"680"
						},
						addEditOptions:{

							afterShowForm:function(){
								$("#cserv25_detail_table").val($("#cserv25").val());
								$("#cexpe25_detail_table").val($("#cexpe25").val());
								$("#aexpe25_detail_table").val($("#aexpe25").val());
								$("#nexpe25_detail_table").val($("#nexpe25").val());
								
								/**Funcion para que aparezca el botón guardar o no detalle**/
								validacionBotonGuardadoDocumentos('DocumentosExpedienteDetalle');
								
								/**
								 * Hacer que cuando haga click en los botones de navegación recargue
								 * correctamente la validacion del botón guardar
								 */
								$("#first_DocumentosExpedienteDetalle").on('click', function(){
									validacionBotonGuardadoDocumentos('DocumentosExpedienteDetalle');
								});
								$("#back_DocumentosExpedienteDetalle").on('click', function(){
									validacionBotonGuardadoDocumentos('DocumentosExpedienteDetalle');
								});
								$("#forward_DocumentosExpedienteDetalle").on('click', function(){
									validacionBotonGuardadoDocumentos('DocumentosExpedienteDetalle');
								});
								$("#last_DocumentosExpedienteDetalle").on('click', function(){
									validacionBotonGuardadoDocumentos('DocumentosExpedienteDetalle');
								});
							},
							reloadAfterSubmit:true
						},
			         	validate:{ 
			    			rules:{
			    				"tdocu25":{
									required: true
			    					},
			    				"cdocu25":{
									required: true
			    					},
			    				"texto25":{
									required: true
			    					}
			    				}
			    		}
			        },
			        onPaging: function(){
						$("#DocumentosExpedienteDetalle").rup_table("deselectAllRows");
					}
				});
				
				
				/**
				 * Cuando haga doble click sobre los registros se debe comprobar si esta en modo consulta o modificación
				 * del expediente
				 */
				
				$("#DocumentosExpedienteDetalle").on("jqGridDblClickRow", function(event, form, oper) {
					if(dialogoDocumentos.modo == "C"){
						dialogoDocumentos.handlerConsulta();
						return false;
					}else{
						return true;
					}
				});
				
				
				/**
				 * Como no me detecta el campo tdocu25 en las validaciones de obligatorio (radio buttons) compruebo
				 * manualmente si tiene dato. Si no tiene dato saco el mensaje de campo obligatorio
				 */
				jQuery("#DocumentosExpedienteDetalle").on("jqGridAddEditBeforeSubmit", function(event, form, oper) {
					if($("#tdocu25_detail_table").val() == ""){
						var errorTXT = $.rup.i18nParse($.rup.i18n.base,"rup_maint.validateError"), errors = null, errorKey = null, causedErrors = null, errMsg = "", errorMesg = "";
						$("#DocumentosExpedienteDetalle_detail_feedback").rup_feedback("option", "delay", null);
						$("#DocumentosExpedienteDetalle_detail_feedback").rup_feedback("set",errorTXT + "  <li><b>*"+ $.rup.i18n.app.aa21b25s01.tdocu25 + ":</b><ul><li>" + $.rup.i18nParse($.rup.i18n.base,"rup_grid.edit.msg.required") + ".</li></ul></li>", "error");
						$("#DocumentosExpedienteDetalle_detail_feedback").rup_feedback("option", "delay", defaultDelay);
						return false;
					}	
				});
				
				/* INI: BLOQUEO Y DESBLOQUEO */
				//jQuery("#DocumentosExpedienteDetalle").on("rupTable_beforeDeleteRow", function(event, row) {
					//Elimino del array de fases el registro eliminado
				//	dialogoFase.fasesExistentes.splice(row.cfase21);
				//	return bloquear('edit', $(this), "aa21b25s01", "ndocu25");
				//});
				//jQuery("#DocumentosExpedienteDetalle").on("jqGridAddEditBeforeInitData", function(event, form, oper) {
					//if(dialogoFase.modo2 != "C"){
					//	return bloquear(oper, $(this), "aa21b25s01", "ndocu25");
					//}else{
					//	return true;
					//}	
			//	});
				/* 
				 * INI: Funciones para controlar la visualización del botón eliminar
				 */
				jQuery("#DocumentosExpedienteDetalle").on("jqGridSelectRow", function(event, form, oper) {
				
					comprobacionEliminar('DocumentosExpedienteDetalle');
				});
				
				/**
				 * Función que carga en el campo año anotación dependiendo de la
				 * fecha seleccionada en el rup_date
				 */
				$("#fanot25_detail_table").on('change', function(){
					$("#aanot25_detail_table").val($("#fanot25_detail_table").rup_date("getDate").substring(6));
				});
				
				
				//Combo multiselección Servicios para posterior búsqueda
				$("#cdocu25_detail_table").rup_combo(
				{
					source: "../aa21b05s01/comboTiposDocumentos",
					sourceParam : {
						label : idioma == 'es' ? "ddocu05"
								: "edocu05",
						value : "cdocu05"
					},
					width : 433,
					showValue: true,
					token: " - "
				});
			//	$("#DocumentosExpedienteDetalle").rup_table("filter");	
				
				/**
				 * Al cerrar la ventana de documentos, hago un destroy del formulario edición, añadir de documentos
				 * para que al volver a entrar en la pantalla este inicializada
				 */
				jQuery("#dialogoDocumentosExpediente").on("dialogclose", function() {
					//$("#DocumentosExpedienteDetalle_detail_div").rup_dialog("destroy");
					//$("#DocumentosExpedienteDetalle_div").hide();
					//$("#dialogoEsperaDetalleDocumentos").show();
					
				//	desbloquear(jQuery("#DocumentosExpedienteDetalle"), "aa21b25s01");
				});
				
				
				//Oculto el div de cargando
				$("#dialogoEsperaDetalleDocumentos").hide();
				$("#DocumentosExpedienteDetalle_div").show();
				
				$("#dialogoDocumentosExpediente").rup_dialog({
					type:$.rup.dialog.DIV,					
					modal:true,
					height:625,
					width:935,	
					resizable:false,
					title:$.rup.i18n.app.aa21b20s01.consultaDocumentosExpedienteTit + " " + dialogoDocumentos.expeCod,
					autoOpen:false,
					showLoading:true,
					async:false ,
					open:dialogoDocumentos.cargarDatos
				});
				
				$("#SubirFichero").rup_dialog({
					type:$.rup.dialog.DIV,					
					modal:true,
					height:350,
					width:600,	
					resizable:false,
					title:$.rup.i18n.app.aa21b20s01.consultaDocumentosExpedienteTit + " " + dialogoDocumentos.expeCod,
					autoOpen:false,
					showLoading:true,
					async:false// ,
					//open:dialogoDocumentos.cargarDatos
				});
				

				/**
				 * Asignar evento guardar al botón de documentos
				 */
				
				//Mierda de funcion de guardar 2
				$("#DocumentosExpedienteDetalle_detail_button_save2").on("click", function(event){
					
					$("#DocumentosExpedienteDetalle_detail_form").attr("enctype","multipart/form-data");
					if(dialogoDocumentos.editando==false){
						$("#DocumentosExpedienteDetalle_detail_form").attr("method","POST");
						$("#DocumentosExpedienteDetalle_detail_form").attr("action","../aa21b25s01/saveNew")
					}
					else{
						$("#DocumentosExpedienteDetalle_detail_form").attr("method","POST");
						$("#DocumentosExpedienteDetalle_detail_form").attr("action","../aa21b25s01/editar")
					};
					
					
					
				
					$("#DocumentosExpedienteDetalle_detail_form").rup_form("submit");
					
				});
				//Crear el formularios ocultos
				$("#DocumentosExpedienteDetalle_detail_form").rup_form("destroy");
				$("#DocumentosExpedienteDetalle_detail_form").rup_form(
						{
							feedback:$("#DocumentosExpedienteDetalle_detail_feedback"),
							beforeSubmit:function(data){
								$("#dialogoEsperaDocumentosExpedienteDetalle_detail_div").show();
							},
							success: function(data) {
								$("#dialogoEsperaDocumentosExpedienteDetalle_detail_div").hide();
								$("#DocumentosExpedienteDetalle_detail_div").rup_dialog("close");
								$("#DocumentosExpedienteDetalle").rup_table("filter");
					         },
					         error:function(xhr, ajaxOptions, thrownError) {	
					        	 $("#dialogoEsperaDocumentosExpedienteDetalle_detail_div").hide();
					        	 $("#DocumentosExpedienteDetalle_detail_div").rup_dialog("close");
					        	 $("#DocumentosExpedienteDetalle").rup_table("filter");
					         },
					         validate:{ 
					    			rules:{
					    				"tdocu25":{
											required: true
					    					},
					    				"cdocu25":{
											required: true
					    					},
					    				"texto25":{
											required: true
					    					}
					    				}
					    		}
						}		
				);
				$("#DocumentosEliminar_form").attr("action","../aa21b25s01/eliminarDocumento");				
	 		
	 			$("#DocumentosEliminar_form").rup_form({
					feedback:$("#DocumentosExpedienteDetalle_detail_feedback"),
					beforeSubmit:function(data){
						
					},
					success: function(data) {								
						$("#DocumentosExpedienteDetalle_detail_feedback").rup_feedback("set", $.rup.i18n.app.mensajesMantGenerales.elimDoc2);
						$("[id='DocumentosExpedienteDetalle_detail_toolbar##aniadirDocPiD']").show();
						$("[id='DocumentosExpedienteDetalle_detail_toolbar##modificarDocPiD']").hide();
						$("[id='DocumentosExpedienteDetalle_detail_toolbar##eliminarDocPid']").hide();
						$("[id='DocumentosExpedienteDetalle_detail_toolbar##verDocPid']").hide();
			         },
			         error:function(xhr, ajaxOptions, thrownError) {						
			        	 $("#DocumentosExpedienteDetalle_detail_feedback").rup_feedbak("set","Error al eliminar","ok");
			        	 
			         }
				});
	 			$("#DocumentosEliminar_form").attr("method","POST");
			}
			//Ocultamos el botón de clonar
		
			
			//Si es consulta ocultamos los botones del mantenimiento
			if(dialogoDocumentos.modo == "C"){
				$("[id='DocumentosExpedienteDetalle_toolbar##"+$.rup.i18n.base.rup_maint.new+"']").hide();
				$("[id='DocumentosExpedienteDetalle_toolbar##"+$.rup.i18n.base.rup_maint.edit+"']").hide();
				$("[id='DocumentosExpedienteDetalle_toolbar##"+$.rup.i18n.app.botonerasMantGenerales.eliminar+"']").hide();
			}else{
				$("[id='DocumentosExpedienteDetalle_toolbar##"+$.rup.i18n.base.rup_maint.new+"']").show();
				$("[id='DocumentosExpedienteDetalle_toolbar##"+$.rup.i18n.base.rup_maint.edit+"']").show();
				$("[id='DocumentosExpedienteDetalle_toolbar##"+$.rup.i18n.app.botonerasMantGenerales.eliminar+"']").show();
			}
		
			$("[id='DocumentosExpedienteDetalle_toolbar##"+$.rup.i18n.base.rup_maint.clone+"']").hide();
			
			$("#dialogoEsperaDetalleDocumentos").hide();
			$("#dialogoEsperaDocumentosExpedienteDetalle_detail_div").hide();
		//	$("#jqgh_DocumentosExpedienteDetalle_cb").hide();
		},
		/*
		 * Abre el dialogo
		 * */
		abrirDialogo:function(expediente,codigo,modo){
			 this.expeId=expediente;
			 this.expeCod=codigo;
			
			var cod=expediente.split("-");
			 //this.aexpe=cod[2];
			 //this.cexpe=cod[1];
			 //this.cserv=cod[0];
			 this.modo=modo;
			// this.nexpe=cod[3];
			//url:"/aa21bOrgDocumentalWar/aa21b20s01/consultardocumentosexpediente"+codigoEnvio+"&modo="+modo,
			 $("#cserv25").val(cod[0]);
			 $("#cexpe25").val(cod[1]);
			 $("#aexpe25").val(cod[2]);
			 $("#nexpe25").val(cod[3]);
			 $("#modo25").val(this.modo);
			 $("#cserv25_filter_table").val(cod[0]);
			 $("#cexpe25_filter_table").val(cod[1]);
			 $("#aexpe25_filter_table").val(cod[2]);
			 $("#nexpe25_filter_table").val(cod[3]);
			 $("#texto25_detail_table").val("");
			 $("#nanot25_detail_table").val("");
			 
			 dialogoDocumentos.inicializar();	
			$("#dialogoDocumentosExpediente").rup_dialog("open");
		},
		cargarDatos:function(){
		 	$("#ui-dialog-title-dialogoDocumentosExpediente").html($.rup.i18n.app.aa21b20s01.consultaDocumentosExpedienteTit + " " + dialogoDocumentos.expeCod);
			 
			 /*cserv25_detail_table
			 cexpe25_detail_table
			 aexpe25_detail_table
			 nexpe25_detail_table
			 ndocu25_detail_table*/
			 $("#DocumentosExpedienteDetalle").rup_table("filter");
			
		},
		 handlerConsulta:function(){
			 dialogoDocumentos.modo="C";
			$("#DocumentosExpedienteDetalle").rup_table("editElement");
			cambiarTitulo("DocumentosExpedienteDetalle",$.rup.i18n.app.comun.consulta);
		},

		 selTipoDoc:function(valor){
			$("#tdocu25_detail_table").val(valor);
		},
		aniadirDocumentoPid:function(){
			$("#DocumentosSubir_form").attr("action","../aa21b25s01/aniadirDocumento");	
			$("#SubirFichero").rup_dialog("open");
			
			
		},
		/*
		 *Abre el formulario del documento con la url de actualizar
		 * */
		modificarDocumentoPid:function(){
				$("#DocumentosSubir_form").attr("action","../aa21b25s01/actualizarDocumento");				
				$("#SubirFichero").rup_dialog("open");
		},
		/*
		 * Abre el formulario de ver con la url de eliminar
		 * */
		eliminarDocumentoPid:function(){
			$.rup_messages("msgConfirm", { 
		 		title: $.rup.i18n.app.mensajesMantGenerales.titPreguntaConfirmar,
		 		message: $.rup.i18n.app.mensajesMantGenerales.elimDoc,
		 		siNo:true,
		 		OKFunction: function() {
		 			$("#cserv25_documentoEliminar").val($("#cserv25_detail_table").val());
					$("#cexpe25_documentoEliminar").val($("#cexpe25_detail_table").val());
					$("#aexpe25_documentoEliminar").val($("#aexpe25_detail_table").val());
					$("#nexpe25_documentoEliminar").val($("#nexpe25_detail_table").val());
					$("#ndocu25_documentoEliminar").val($("#ndocu25_detail_table").val());
					$("#tdocu25_documentoEliminar").val($("#tdocu25_detail_table").val());
					$("#cdocu25_documentoEliminar").val($("#cdocu25_detail_table").val());
		 		
					
					$("#DocumentosEliminar_form").submit();
		 		}
		 	});
		},
		/*
		 * Abre el formulario de ver
		 * */
		verDocumentoPid:function(){
			$("#cserv25_documentoVer").val($("#cserv25_detail_table").val());
			$("#cexpe25_documentoVer").val($("#cexpe25_detail_table").val());
			$("#aexpe25_documentoVer").val($("#aexpe25_detail_table").val());
			$("#nexpe25_documentoVer").val($("#nexpe25_detail_table").val());
			$("#ndocu25_documentoVer").val($("#ndocu25_detail_table").val());
			$("#tdocu25_documentoVer").val($("#tdocu25_detail_table").val());
			$("#cdocu25_documentoVer").val($("#cdocu25_detail_table").val());
			$("#codpid25_documento").val($("#codpid25_detail_table").val());
			$("#extdocu25_documento").val($("#extdocu25_detail_table").val());
			$("#ctype25_documento").val($("#ctype25_detail_table").val());
			$("#DocumentosVer_form").attr("action","../aa21b25s01/verDocumento");	
			$("#DocumentosVer_form").attr("target","_blank");
			$("#DocumentosVer_form").submit();
			
		},
		/*
		 * Permite guardar el fichero
		 * */
		guardarFichero:function(){
			$("#cserv25_documento").val($("#cserv25_detail_table").val());
			$("#cexpe25_documento").val($("#cexpe25_detail_table").val());
			$("#aexpe25_documento").val($("#aexpe25_detail_table").val());
			$("#nexpe25_documento").val($("#nexpe25_detail_table").val());
			$("#ndocu25_documento").val($("#ndocu25_detail_table").val());
			$("#tdocu25_documento").val($("#tdocu25_detail_table").val());
			$("#cdocu25_documento").val($("#cdocu25_detail_table").val());
			$("#codpid25_documento").val($("#codpid25_detail_table").val());
			$("#extdocu25_documento").val($("#extdocu25_detail_table").val());
			$("#ctype25_documento").val($("#ctype25_detail_table").val());
			var properties={
					feedback:$("#DocumentosExpedienteDetalle_detail_feedback"),
					beforeSubmit:function(data){
						
					},
					success: function(data) {
						$("[id='DocumentosExpedienteDetalle_detail_toolbar##aniadirDocPiD']").hide();
						$("[id='DocumentosExpedienteDetalle_detail_toolbar##modificarDocPiD']").show();
						$("[id='DocumentosExpedienteDetalle_detail_toolbar##eliminarDocPid']").show();
						$("[id='DocumentosExpedienteDetalle_detail_toolbar##verDocPid']").show();
						$("#SubirFichero").rup_dialog("close");
			         },
			         error:function(xhr, ajaxOptions, thrownError) {						
			        	 $("#SubirFichero").rup_dialog("close");
			         },
			         validate: {
		                rules: {		                   
		            	  	"docu25":{required:true}		            	  	
		                }
		            }
				};

			/**
			 * Validaciones formulario guardar
			 */
				$("#DocumentosSubir_form").rup_form(properties);
				
							
				$("#DocumentosSubir_form").attr("method","POST");
				
				$("#DocumentosSubir_form").submit();
		}
		
}
	
	
	



